<?php



$tdatatb_medicos = array();
$tdatatb_medicos[".searchableFields"] = array();
$tdatatb_medicos[".ShortName"] = "tb_medicos";
$tdatatb_medicos[".OwnerID"] = "";
$tdatatb_medicos[".OriginalTable"] = "tb_medicos";


$tdatatb_medicos[".pagesByType"] = my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"export\":[\"export\"],\"import\":[\"import\"],\"list\":[\"list\"],\"masterlist\":[\"masterlist\"],\"masterprint\":[\"masterprint\"],\"print\":[\"print\"],\"search\":[\"search\"],\"view\":[\"view\"]}" );
$tdatatb_medicos[".originalPagesByType"] = $tdatatb_medicos[".pagesByType"];
$tdatatb_medicos[".pages"] = types2pages( my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"export\":[\"export\"],\"import\":[\"import\"],\"list\":[\"list\"],\"masterlist\":[\"masterlist\"],\"masterprint\":[\"masterprint\"],\"print\":[\"print\"],\"search\":[\"search\"],\"view\":[\"view\"]}" ) );
$tdatatb_medicos[".originalPages"] = $tdatatb_medicos[".pages"];
$tdatatb_medicos[".defaultPages"] = my_json_decode( "{\"add\":\"add\",\"edit\":\"edit\",\"export\":\"export\",\"import\":\"import\",\"list\":\"list\",\"masterlist\":\"masterlist\",\"masterprint\":\"masterprint\",\"print\":\"print\",\"search\":\"search\",\"view\":\"view\"}" );
$tdatatb_medicos[".originalDefaultPages"] = $tdatatb_medicos[".defaultPages"];

//	field labels
$fieldLabelstb_medicos = array();
$fieldToolTipstb_medicos = array();
$pageTitlestb_medicos = array();
$placeHolderstb_medicos = array();

if(mlang_getcurrentlang()=="English")
{
	$fieldLabelstb_medicos["English"] = array();
	$fieldToolTipstb_medicos["English"] = array();
	$placeHolderstb_medicos["English"] = array();
	$pageTitlestb_medicos["English"] = array();
	$fieldLabelstb_medicos["English"]["medicoID"] = " ID";
	$fieldToolTipstb_medicos["English"]["medicoID"] = "";
	$placeHolderstb_medicos["English"]["medicoID"] = "";
	$fieldLabelstb_medicos["English"]["especialidadeID"] = "Espec. ID";
	$fieldToolTipstb_medicos["English"]["especialidadeID"] = "";
	$placeHolderstb_medicos["English"]["especialidadeID"] = "";
	$fieldLabelstb_medicos["English"]["Nome_medico"] = "Nome Médico ";
	$fieldToolTipstb_medicos["English"]["Nome_medico"] = "";
	$placeHolderstb_medicos["English"]["Nome_medico"] = "";
	$fieldLabelstb_medicos["English"]["fone_contato"] = "Fone Contato";
	$fieldToolTipstb_medicos["English"]["fone_contato"] = "";
	$placeHolderstb_medicos["English"]["fone_contato"] = "";
	$fieldLabelstb_medicos["English"]["email"] = "Email";
	$fieldToolTipstb_medicos["English"]["email"] = "";
	$placeHolderstb_medicos["English"]["email"] = "";
	$fieldLabelstb_medicos["English"]["whatsapp"] = "Whatsapp";
	$fieldToolTipstb_medicos["English"]["whatsapp"] = "";
	$placeHolderstb_medicos["English"]["whatsapp"] = "";
	$fieldLabelstb_medicos["English"]["ativar"] = "Ativar";
	$fieldToolTipstb_medicos["English"]["ativar"] = "";
	$placeHolderstb_medicos["English"]["ativar"] = "";
	$pageTitlestb_medicos["English"]["add"] = "Medicos, Add new";
	if (count($fieldToolTipstb_medicos["English"]))
		$tdatatb_medicos[".isUseToolTips"] = true;
}


	$tdatatb_medicos[".NCSearch"] = true;



$tdatatb_medicos[".shortTableName"] = "tb_medicos";
$tdatatb_medicos[".nSecOptions"] = 0;

$tdatatb_medicos[".mainTableOwnerID"] = "";
$tdatatb_medicos[".entityType"] = 0;

$tdatatb_medicos[".strOriginalTableName"] = "tb_medicos";

	



$tdatatb_medicos[".showAddInPopup"] = false;

$tdatatb_medicos[".showEditInPopup"] = false;

$tdatatb_medicos[".showViewInPopup"] = false;

//page's base css files names
$popupPagesLayoutNames = array();
$tdatatb_medicos[".popupPagesLayoutNames"] = $popupPagesLayoutNames;


$tdatatb_medicos[".listAjax"] = false;
//	temporary
$tdatatb_medicos[".listAjax"] = false;

	$tdatatb_medicos[".audit"] = false;

	$tdatatb_medicos[".locking"] = false;


$pages = $tdatatb_medicos[".defaultPages"];

if( $pages[PAGE_EDIT] ) {
	$tdatatb_medicos[".edit"] = true;
	$tdatatb_medicos[".afterEditAction"] = 0;
	$tdatatb_medicos[".closePopupAfterEdit"] = 1;
	$tdatatb_medicos[".afterEditActionDetTable"] = "";
}

if( $pages[PAGE_ADD] ) {
$tdatatb_medicos[".add"] = true;
$tdatatb_medicos[".afterAddAction"] = 0;
$tdatatb_medicos[".closePopupAfterAdd"] = 1;
$tdatatb_medicos[".afterAddActionDetTable"] = "";
}

if( $pages[PAGE_LIST] ) {
	$tdatatb_medicos[".list"] = true;
}



$tdatatb_medicos[".strSortControlSettingsJSON"] = "";




if( $pages[PAGE_VIEW] ) {
$tdatatb_medicos[".view"] = true;
}

if( $pages[PAGE_IMPORT] ) {
$tdatatb_medicos[".import"] = true;
}

if( $pages[PAGE_EXPORT] ) {
$tdatatb_medicos[".exportTo"] = true;
}

if( $pages[PAGE_PRINT] ) {
$tdatatb_medicos[".printFriendly"] = true;
}



$tdatatb_medicos[".showSimpleSearchOptions"] = true; // temp fix #13449

// Allow Show/Hide Fields in GRID
$tdatatb_medicos[".allowShowHideFields"] = true; // temp fix #13449
//

// Allow Fields Reordering in GRID
$tdatatb_medicos[".allowFieldsReordering"] = true; // temp fix #13449
//

$tdatatb_medicos[".isUseAjaxSuggest"] = true;

$tdatatb_medicos[".rowHighlite"] = true;





$tdatatb_medicos[".ajaxCodeSnippetAdded"] = false;

$tdatatb_medicos[".buttonsAdded"] = false;

$tdatatb_medicos[".addPageEvents"] = false;

// use timepicker for search panel
$tdatatb_medicos[".isUseTimeForSearch"] = false;


$tdatatb_medicos[".badgeColor"] = "6b8e23";


$tdatatb_medicos[".allSearchFields"] = array();
$tdatatb_medicos[".filterFields"] = array();
$tdatatb_medicos[".requiredSearchFields"] = array();

$tdatatb_medicos[".googleLikeFields"] = array();
$tdatatb_medicos[".googleLikeFields"][] = "medicoID";
$tdatatb_medicos[".googleLikeFields"][] = "especialidadeID";
$tdatatb_medicos[".googleLikeFields"][] = "Nome_medico";
$tdatatb_medicos[".googleLikeFields"][] = "fone_contato";
$tdatatb_medicos[".googleLikeFields"][] = "email";
$tdatatb_medicos[".googleLikeFields"][] = "whatsapp";
$tdatatb_medicos[".googleLikeFields"][] = "ativar";



$tdatatb_medicos[".tableType"] = "list";

$tdatatb_medicos[".printerPageOrientation"] = 0;
$tdatatb_medicos[".nPrinterPageScale"] = 100;

$tdatatb_medicos[".nPrinterSplitRecords"] = 40;

$tdatatb_medicos[".geocodingEnabled"] = false;










$tdatatb_medicos[".pageSize"] = 20;

$tdatatb_medicos[".warnLeavingPages"] = true;



$tstrOrderBy = "";
if(strlen($tstrOrderBy) && strtolower(substr($tstrOrderBy,0,8))!="order by")
	$tstrOrderBy = "order by ".$tstrOrderBy;
$tdatatb_medicos[".strOrderBy"] = $tstrOrderBy;

$tdatatb_medicos[".orderindexes"] = array();

$tdatatb_medicos[".sqlHead"] = "SELECT medicoID,  	especialidadeID,  	Nome_medico,  	fone_contato,  	email,  	whatsapp,  	ativar";
$tdatatb_medicos[".sqlFrom"] = "FROM tb_medicos";
$tdatatb_medicos[".sqlWhereExpr"] = "";
$tdatatb_medicos[".sqlTail"] = "";










//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdatatb_medicos[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdatatb_medicos[".arrGroupsPerPage"] = $arrGPP;

$tdatatb_medicos[".highlightSearchResults"] = true;

$tableKeystb_medicos = array();
$tableKeystb_medicos[] = "medicoID";
$tdatatb_medicos[".Keys"] = $tableKeystb_medicos;


$tdatatb_medicos[".hideMobileList"] = array();




//	medicoID
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "medicoID";
	$fdata["GoodName"] = "medicoID";
	$fdata["ownerTable"] = "tb_medicos";
	$fdata["Label"] = GetFieldLabel("tb_medicos","medicoID");
	$fdata["FieldType"] = 3;

	
		$fdata["AutoInc"] = true;

	
			

		$fdata["strField"] = "medicoID";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "medicoID";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_medicos["medicoID"] = $fdata;
		$tdatatb_medicos[".searchableFields"][] = "medicoID";
//	especialidadeID
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "especialidadeID";
	$fdata["GoodName"] = "especialidadeID";
	$fdata["ownerTable"] = "tb_medicos";
	$fdata["Label"] = GetFieldLabel("tb_medicos","especialidadeID");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "especialidadeID";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "especialidadeID";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_medicos["especialidadeID"] = $fdata;
		$tdatatb_medicos[".searchableFields"][] = "especialidadeID";
//	Nome_medico
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 3;
	$fdata["strName"] = "Nome_medico";
	$fdata["GoodName"] = "Nome_medico";
	$fdata["ownerTable"] = "tb_medicos";
	$fdata["Label"] = GetFieldLabel("tb_medicos","Nome_medico");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "Nome_medico";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "Nome_medico";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=50";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_medicos["Nome_medico"] = $fdata;
		$tdatatb_medicos[".searchableFields"][] = "Nome_medico";
//	fone_contato
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 4;
	$fdata["strName"] = "fone_contato";
	$fdata["GoodName"] = "fone_contato";
	$fdata["ownerTable"] = "tb_medicos";
	$fdata["Label"] = GetFieldLabel("tb_medicos","fone_contato");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "fone_contato";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "fone_contato";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=50";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_medicos["fone_contato"] = $fdata;
		$tdatatb_medicos[".searchableFields"][] = "fone_contato";
//	email
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 5;
	$fdata["strName"] = "email";
	$fdata["GoodName"] = "email";
	$fdata["ownerTable"] = "tb_medicos";
	$fdata["Label"] = GetFieldLabel("tb_medicos","email");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "email";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "email";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=150";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_medicos["email"] = $fdata;
		$tdatatb_medicos[".searchableFields"][] = "email";
//	whatsapp
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 6;
	$fdata["strName"] = "whatsapp";
	$fdata["GoodName"] = "whatsapp";
	$fdata["ownerTable"] = "tb_medicos";
	$fdata["Label"] = GetFieldLabel("tb_medicos","whatsapp");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "whatsapp";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "whatsapp";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=50";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_medicos["whatsapp"] = $fdata;
		$tdatatb_medicos[".searchableFields"][] = "whatsapp";
//	ativar
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 7;
	$fdata["strName"] = "ativar";
	$fdata["GoodName"] = "ativar";
	$fdata["ownerTable"] = "tb_medicos";
	$fdata["Label"] = GetFieldLabel("tb_medicos","ativar");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "ativar";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "ativar";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Checkbox");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Checkbox");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_medicos["ativar"] = $fdata;
		$tdatatb_medicos[".searchableFields"][] = "ativar";


$tables_data["tb_medicos"]=&$tdatatb_medicos;
$field_labels["tb_medicos"] = &$fieldLabelstb_medicos;
$fieldToolTips["tb_medicos"] = &$fieldToolTipstb_medicos;
$placeHolders["tb_medicos"] = &$placeHolderstb_medicos;
$page_titles["tb_medicos"] = &$pageTitlestb_medicos;

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)
$detailsTablesData["tb_medicos"] = array();
//	tb_consultorios
	
	

		$dIndex = 0;
	$detailsParam = array();
	$detailsParam["dDataSourceTable"]="tb_consultorios";
		$detailsParam["dOriginalTable"] = "tb_consultorios";



				$detailsParam["dType"]=PAGE_LIST;
	$detailsParam["dShortTable"] = "tb_consultorios";
	$detailsParam["dCaptionTable"] = GetTableCaption("tb_consultorios");
	$detailsParam["masterKeys"] =array();
	$detailsParam["detailKeys"] =array();


		
	$detailsTablesData["tb_medicos"][$dIndex] = $detailsParam;

	
		$detailsTablesData["tb_medicos"][$dIndex]["masterKeys"] = array();

	$detailsTablesData["tb_medicos"][$dIndex]["masterKeys"][]="medicoID";

				$detailsTablesData["tb_medicos"][$dIndex]["detailKeys"] = array();

	$detailsTablesData["tb_medicos"][$dIndex]["detailKeys"][]="medicoID";

// tables which are master tables for current table (detail)
$masterTablesData["tb_medicos"] = array();



	
				$strOriginalDetailsTable="tb_especiaçidades";
	$masterParams = array();
	$masterParams["mDataSourceTable"]="tb_especiaçidades";
	$masterParams["mOriginalTable"]= $strOriginalDetailsTable;
	$masterParams["mShortTable"]= "tb_especia_idades";
	$masterParams["masterKeys"]= array();
	$masterParams["detailKeys"]= array();

	$masterParams["type"] = PAGE_LIST;
					$masterTablesData["tb_medicos"][0] = $masterParams;
				$masterTablesData["tb_medicos"][0]["masterKeys"] = array();
	$masterTablesData["tb_medicos"][0]["masterKeys"][]="especialidadeID";
				$masterTablesData["tb_medicos"][0]["detailKeys"] = array();
	$masterTablesData["tb_medicos"][0]["detailKeys"][]="especialidadeID";
		
// -----------------end  prepare master-details data arrays ------------------------------//


require_once(getabspath("classes/sql.php"));










function createSqlQuery_tb_medicos()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "medicoID,  	especialidadeID,  	Nome_medico,  	fone_contato,  	email,  	whatsapp,  	ativar";
$proto0["m_strFrom"] = "FROM tb_medicos";
$proto0["m_strWhere"] = "";
$proto0["m_strOrderBy"] = "";
	
		;
			$proto0["cipherer"] = null;
$proto2=array();
$proto2["m_sql"] = "";
$proto2["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto2["m_column"]=$obj;
$proto2["m_contained"] = array();
$proto2["m_strCase"] = "";
$proto2["m_havingmode"] = false;
$proto2["m_inBrackets"] = false;
$proto2["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto2);

$proto0["m_where"] = $obj;
$proto4=array();
$proto4["m_sql"] = "";
$proto4["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto4["m_column"]=$obj;
$proto4["m_contained"] = array();
$proto4["m_strCase"] = "";
$proto4["m_havingmode"] = false;
$proto4["m_inBrackets"] = false;
$proto4["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto4);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto6=array();
			$obj = new SQLField(array(
	"m_strName" => "medicoID",
	"m_strTable" => "tb_medicos",
	"m_srcTableName" => "tb_medicos"
));

$proto6["m_sql"] = "medicoID";
$proto6["m_srcTableName"] = "tb_medicos";
$proto6["m_expr"]=$obj;
$proto6["m_alias"] = "";
$obj = new SQLFieldListItem($proto6);

$proto0["m_fieldlist"][]=$obj;
						$proto8=array();
			$obj = new SQLField(array(
	"m_strName" => "especialidadeID",
	"m_strTable" => "tb_medicos",
	"m_srcTableName" => "tb_medicos"
));

$proto8["m_sql"] = "especialidadeID";
$proto8["m_srcTableName"] = "tb_medicos";
$proto8["m_expr"]=$obj;
$proto8["m_alias"] = "";
$obj = new SQLFieldListItem($proto8);

$proto0["m_fieldlist"][]=$obj;
						$proto10=array();
			$obj = new SQLField(array(
	"m_strName" => "Nome_medico",
	"m_strTable" => "tb_medicos",
	"m_srcTableName" => "tb_medicos"
));

$proto10["m_sql"] = "Nome_medico";
$proto10["m_srcTableName"] = "tb_medicos";
$proto10["m_expr"]=$obj;
$proto10["m_alias"] = "";
$obj = new SQLFieldListItem($proto10);

$proto0["m_fieldlist"][]=$obj;
						$proto12=array();
			$obj = new SQLField(array(
	"m_strName" => "fone_contato",
	"m_strTable" => "tb_medicos",
	"m_srcTableName" => "tb_medicos"
));

$proto12["m_sql"] = "fone_contato";
$proto12["m_srcTableName"] = "tb_medicos";
$proto12["m_expr"]=$obj;
$proto12["m_alias"] = "";
$obj = new SQLFieldListItem($proto12);

$proto0["m_fieldlist"][]=$obj;
						$proto14=array();
			$obj = new SQLField(array(
	"m_strName" => "email",
	"m_strTable" => "tb_medicos",
	"m_srcTableName" => "tb_medicos"
));

$proto14["m_sql"] = "email";
$proto14["m_srcTableName"] = "tb_medicos";
$proto14["m_expr"]=$obj;
$proto14["m_alias"] = "";
$obj = new SQLFieldListItem($proto14);

$proto0["m_fieldlist"][]=$obj;
						$proto16=array();
			$obj = new SQLField(array(
	"m_strName" => "whatsapp",
	"m_strTable" => "tb_medicos",
	"m_srcTableName" => "tb_medicos"
));

$proto16["m_sql"] = "whatsapp";
$proto16["m_srcTableName"] = "tb_medicos";
$proto16["m_expr"]=$obj;
$proto16["m_alias"] = "";
$obj = new SQLFieldListItem($proto16);

$proto0["m_fieldlist"][]=$obj;
						$proto18=array();
			$obj = new SQLField(array(
	"m_strName" => "ativar",
	"m_strTable" => "tb_medicos",
	"m_srcTableName" => "tb_medicos"
));

$proto18["m_sql"] = "ativar";
$proto18["m_srcTableName"] = "tb_medicos";
$proto18["m_expr"]=$obj;
$proto18["m_alias"] = "";
$obj = new SQLFieldListItem($proto18);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto20=array();
$proto20["m_link"] = "SQLL_MAIN";
			$proto21=array();
$proto21["m_strName"] = "tb_medicos";
$proto21["m_srcTableName"] = "tb_medicos";
$proto21["m_columns"] = array();
$proto21["m_columns"][] = "medicoID";
$proto21["m_columns"][] = "especialidadeID";
$proto21["m_columns"][] = "Nome_medico";
$proto21["m_columns"][] = "fone_contato";
$proto21["m_columns"][] = "email";
$proto21["m_columns"][] = "whatsapp";
$proto21["m_columns"][] = "ativar";
$obj = new SQLTable($proto21);

$proto20["m_table"] = $obj;
$proto20["m_sql"] = "tb_medicos";
$proto20["m_alias"] = "";
$proto20["m_srcTableName"] = "tb_medicos";
$proto22=array();
$proto22["m_sql"] = "";
$proto22["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto22["m_column"]=$obj;
$proto22["m_contained"] = array();
$proto22["m_strCase"] = "";
$proto22["m_havingmode"] = false;
$proto22["m_inBrackets"] = false;
$proto22["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto22);

$proto20["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto20);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
$proto0["m_srcTableName"]="tb_medicos";		
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_tb_medicos = createSqlQuery_tb_medicos();


	
		;

							

$tdatatb_medicos[".sqlquery"] = $queryData_tb_medicos;

$tableEvents["tb_medicos"] = new eventsBase;
$tdatatb_medicos[".hasEvents"] = false;

?>